﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Tools.MultiColumnTreeView

Namespace MultiTreeSpredSheet
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
			Me.multiColumnTreeView1.Style = MultiColumnVisualStyle.Metro
			Me.multiColumnTreeView1.ItemHeight = 25
			Me.multiColumnTreeView1.Columns(0).Width = 150
			Me.multiColumnTreeView1.Columns(1).Width = 120
			Me.multiColumnTreeView1.Columns(2).Width = 100
			Me.multiColumnTreeView1.ColumnsHeaderBackground = New Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.None, System.Drawing.SystemColors.WindowText, Color.Gray)
			Me.multiColumnTreeView1.OwnerDrawNodes = True
			AddHandler multiColumnTreeView1.BeforeNodePaint, AddressOf multiColumnTreeView1_BeforeNodePaint

		End Sub
        'To Paning border for nodes
		Private Sub multiColumnTreeView1_BeforeNodePaint(ByVal sender As Object, ByVal e As TreeNodeAdvPaintEventArgs)
			e.Graphics.DrawLine(Pens.Red, New Point(0, e.Node.Bounds.Y), New Point(Me.multiColumnTreeView1.Width,e.Node.Bounds.Y))
		End Sub

        Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
            'Alternate row color.
            For i As Integer = 0 To Me.multiColumnTreeView1.Nodes.Count - 1
                If i Mod 2 <> 0 Then
                    Me.multiColumnTreeView1.Nodes(i).Background = New Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.None, System.Drawing.SystemColors.WindowText, System.Drawing.Color.FromArgb((CInt(Fix((CByte(0))))), (CInt(Fix((CByte(192))))), (CInt(Fix((CByte(0)))))))
                    For j As Integer = 1 To Me.multiColumnTreeView1.Nodes(i).SubItems.Count - 1
                        Me.multiColumnTreeView1.Nodes(i).SubItems(j).Background = New Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.None, System.Drawing.SystemColors.WindowText, System.Drawing.Color.FromArgb((CInt(Fix((CByte(0))))), (CInt(Fix((CByte(192))))), (CInt(Fix((CByte(0)))))))
                    Next j
                End If
            Next i
            For i As Integer = 0 To Me.multiColumnTreeView1.Nodes.Count - 1

                For j As Integer = 1 To Me.multiColumnTreeView1.Nodes(i).SubItems.Count - 1
                    Me.multiColumnTreeView1.Nodes(i).SubItems(j).BorderColor = Color.Red
                    Me.multiColumnTreeView1.Nodes(i).SubItems(j).BorderSingle = System.Windows.Forms.ButtonBorderStyle.Solid
                    Me.multiColumnTreeView1.Nodes(i).SubItems(j).BorderStyle = BorderStyle.FixedSingle
                    Me.multiColumnTreeView1.Nodes(i).SubItems(j).BorderSides = Border3DSide.Top
                Next j
            Next i
        End Sub
	End Class
End Namespace
